/**
 *   Document   : beerList.css
 *   Created on : 17-Dec-2010, 19:19:25
 *   Author     : Natasha Moorfield
 *   Description:
 *       Stylesheet defining the appearance of beer and brewery lists.
 */

table.beerList {
  margin: 5px auto 5px;
  border: solid 1px #000000;
  border-spacing: 2px;
}

table.beerList th {
  background-color: #dfdfdf;
  padding: 1px 4px;
  border: outset 0px #ffdddd;
}

table.beerList tr {
  background-color: #ececec;
}

table.beerList tr:nth-of-type(2n) {
  background-color: #e0e7ee;
}

table.beerList .name {
  padding: 0px 16px 0px 4px;
}

table.beerList .name:hover {
  background-color: gold;
  cursor: pointer;
}

table.beerList .abv {
  padding: 0px 4px;
  text-align: right;
}

table.beerList .status {
  padding: 0px 4px;
  text-align: center;
}

table.beerList .status:hover {
  background-color: gold !important;
  cursor: pointer;
}

.breweryId {
  padding: 0px 4px;
  text-align: right;
  background-color: #ddddff;
  color: #0000ff;
}

.aleId {
  padding: 0px 4px;
  text-align: right;
  background-color: #ffdddd;
  color: #ff0000;
}

/*
 *  CSS for the brewery display tab
 */

#bd_factsheet,
#bd_beerList,
#bd_photos {
  border: solid black 1px;
  display: none;
  padding: 0px;
}

#bd_beerList {
  border: none;
}

td[class^=bd_tab] {
  text-align: center;
}

.bd_tab_live {
  font-weight: bold;
  background-color: #dfdfdf;
}

.bd_tab_live:hover {
  background-color: gold;
  cursor: pointer;
}

.bd_tab_current {
  font-weight: bold;
  background-color: yellowgreen;
}

.bd_tab_dead {
  font-weight: normal;
  background-color: #dfdfdf;
  color: #777777;
}